Skip to main content
GET
/
import
/
jobs
/
{id}
/
preview
cURL
curl --request GET \
  --url https://api.example.com/import/jobs/{id}/preview
[
  {
    "id": "e812d46e-1d54-46ab-bb97-a4176b6d8a39",
    "jobId": "b6a8a729-2de8-466d-9271-bfbd71337de7",
    "isValid": true,
    "errorMessage": null,
    "sku": "SKU-MONITOR-01",
    "action": "create",
    "matchedProductId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
    "data": {
      "cProd": "88",
      "xProd": "Monitor Ultrawide",
      "qCom": "2",
      "vUnCom": "1499.00"
    }
  }
]

Path

id
string
required
UUID correspondente ao ID do Job.

Query Parameters

page
number
default:"1"
Página atual da listagem.
limit
number
default:"50"
Quantidade limite de pré-visualizações.

Response

[
  {
    "id": "e812d46e-1d54-46ab-bb97-a4176b6d8a39",
    "jobId": "b6a8a729-2de8-466d-9271-bfbd71337de7",
    "isValid": true,
    "errorMessage": null,
    "sku": "SKU-MONITOR-01",
    "action": "create",
    "matchedProductId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
    "data": {
      "cProd": "88",
      "xProd": "Monitor Ultrawide",
      "qCom": "2",
      "vUnCom": "1499.00"
    }
  }
]

Path Parameters

id
string
required

Query Parameters

page
string
required
limit
string
required

Response

200 - undefined